Bug 256865 - devel/gitlab-runner: fails to checksum
Summary: devel/gitlab-runner: fails to checksum
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-27 19:46 UTC by Gleb Popov
Modified: 2021-07-24 07:10 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2021-06-27 19:46:24 UTC
Trying to build devel/gitlab-runner and get:

=> Attempting to fetch https://gitlab.com/gitlab-org/gitlab-runner/-/archive/2ebc4dc45bd6065afa304a5bfdb846334981529e.tar.gz?dummy=/gitlab-org-gitlab-runner-2ebc4dc45bd6065afa304a5bfdb846334981529e_GL0.tar.gz
fetch: https://gitlab.com/gitlab-org/gitlab-runner/-/archive/2ebc4dc45bd6065afa304a5bfdb846334981529e.tar.gz?dummy=/gitlab-org-gitlab-runner-2ebc4dc45bd6065afa304a5bfdb846334981529e_GL0.tar.gz: size unknown
fetch: https://gitlab.com/gitlab-org/gitlab-runner/-/archive/2ebc4dc45bd6065afa304a5bfdb846334981529e.tar.gz?dummy=/gitlab-org-gitlab-runner-2ebc4dc45bd6065afa304a5bfdb846334981529e_GL0.tar.gz: size of remote file is not known
gitlab-org-gitlab-runner-2ebc4dc45bd6065afa304        8073 kB 1802 kBps    05s
=> Fetched file size mismatch (expected 8267498, actual 8267501)
=> Trying next site
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/gitlab-runner/gitlab-org-gitlab-runner-2ebc4dc45bd6065afa304a5bfdb846334981529e_GL0.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/gitlab-runner/gitlab-org-gitlab-runner-2ebc4dc45bd6065afa304a5bfdb846334981529e_GL0.tar.gz: size mismatch: expected 8267498, actual 8264511
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/local/poudriere/ports/default/distfiles/gitlab-runner and try again.
*** Error code 1
Comment 1 Gleb Popov freebsd_committer 2021-07-23 12:53:53 UTC
The problem persists

=> gitlab-org-gitlab-runner-2ebc4dc45bd6065afa304a5bfdb846334981529e_GL0.tar.gz doesn't seem to exist in /usr/local/poudriere/ports/default/distfiles/gitlab-runner.
=> Attempting to fetch https://gitlab.com/gitlab-org/gitlab-runner/-/archive/2ebc4dc45bd6065afa304a5bfdb846334981529e.tar.gz?dummy=/gitlab-org-gitlab-runner-2ebc4dc45bd6065afa304a5bfdb846334981529e_GL0.tar.gz
fetch: https://gitlab.com/gitlab-org/gitlab-runner/-/archive/2ebc4dc45bd6065afa304a5bfdb846334981529e.tar.gz?dummy=/gitlab-org-gitlab-runner-2ebc4dc45bd6065afa304a5bfdb846334981529e_GL0.tar.gz: size unknown
fetch: https://gitlab.com/gitlab-org/gitlab-runner/-/archive/2ebc4dc45bd6065afa304a5bfdb846334981529e.tar.gz?dummy=/gitlab-org-gitlab-runner-2ebc4dc45bd6065afa304a5bfdb846334981529e_GL0.tar.gz: size of remote file is not known
gitlab-org-gitlab-runner-2ebc4dc45bd6065afa304        8073 kB 1835 kBps    04s
=> Fetched file size mismatch (expected 8267498, actual 8267501)
=> Trying next site
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/gitlab-runner/gitlab-org-gitlab-runner-2ebc4dc45bd6065afa304a5bfdb846334981529e_GL0.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/gitlab-runner/gitlab-org-gitlab-runner-2ebc4dc45bd6065afa304a5bfdb846334981529e_GL0.tar.gz: size mismatch: expected 8267498, actual 8264511
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/local/poudriere/ports/default/distfiles/gitlab-runner and try again.
*** Error code 1

Matthias, maybe you have an idea?
Comment 2 Matthias Fechner freebsd_committer 2021-07-23 18:45:50 UTC
(In reply to Gleb Popov from comment #1)
it seems that the rebased maybe something which causes now a different archive that is downloaded.
I will have a closer look into it, I think it can maybe easily fixed, by just releasing a newer version.
Comment 3 Matthias Fechner freebsd_committer 2021-07-23 19:07:46 UTC
I have a 14.0.1 version now that builds, will do later some tests together with the gitlab upgrade, but I need there some additional days.

I will ask Steve if it is ok, to commit the update:
https://gitlab.fechner.net/mfechner/Gitlab/-/commit/8c052df76d46b872768d08bdb37c9f305311e1c9
Comment 4 commit-hook freebsd_committer 2021-07-24 07:09:21 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1da9f6da91bc1a073f28a8bb2f5e6d0247ac5392

commit 1da9f6da91bc1a073f28a8bb2f5e6d0247ac5392
Author:     Matthias Fechner <mfechner@FreeBSD.org>
AuthorDate: 2021-07-23 19:06:47 +0000
Commit:     Matthias Fechner <mfechner@FreeBSD.org>
CommitDate: 2021-07-24 07:08:02 +0000

    devel/gitlab-runner: Update to 14.1.0

    This update fixes the problem that the distfiles for version
    13.9.0 are not fetchable anymore as it seems that upstream has removed
    it or the checksum of the files changed.

    PR:             256865
    Reported by:    arrowd

 devel/gitlab-runner/Makefile                       |  55 +++++------
 devel/gitlab-runner/distinfo                       | 104 +++++++++++----------
 .../files/patch-helpers_service_simple.go          |  13 ++-
 3 files changed, 87 insertions(+), 85 deletions(-)
Comment 5 Matthias Fechner freebsd_committer 2021-07-24 07:10:29 UTC
I committed the upgrade now to fix the currently available version together with the gitlab 14.1 upgrade.

Thanks a lot for this notification Gleb!